// GENERATED CODE - DO NOT MODIFY BY HAND

part of 'app_database.dart';

// **************************************************************************
// FloorGenerator
// **************************************************************************

class $FloorAppDatabase {
  /// Creates a database builder for a persistent database.
  /// Once a database is built, you should keep a reference to it and re-use it.
  static _$AppDatabaseBuilder databaseBuilder(String name) =>
      _$AppDatabaseBuilder(name);

  /// Creates a database builder for an in memory database.
  /// Information stored in an in memory database disappears when the process is killed.
  /// Once a database is built, you should keep a reference to it and re-use it.
  static _$AppDatabaseBuilder inMemoryDatabaseBuilder() =>
      _$AppDatabaseBuilder(null);
}

class _$AppDatabaseBuilder {
  _$AppDatabaseBuilder(this.name);

  final String name;

  final List<Migration> _migrations = [];

  Callback _callback;

  /// Adds migrations to the builder.
  _$AppDatabaseBuilder addMigrations(List<Migration> migrations) {
    _migrations.addAll(migrations);
    return this;
  }

  /// Adds a database [Callback] to the builder.
  _$AppDatabaseBuilder addCallback(Callback callback) {
    _callback = callback;
    return this;
  }

  /// Creates the database and initializes it.
  Future<AppDatabase> build() async {
    final path = name != null
        ? await sqfliteDatabaseFactory.getDatabasePath(name)
        : ':memory:';
    final database = _$AppDatabase();
    database.database = await database.open(
      path,
      _migrations,
      _callback,
    );
    return database;
  }
}

class _$AppDatabase extends AppDatabase {
  _$AppDatabase([StreamController<String> listener]) {
    changeListener = listener ?? StreamController<String>.broadcast();
  }

  ProfileDao _settingDaoInstance;

  Future<sqflite.Database> open(String path, List<Migration> migrations,
      [Callback callback]) async {
    final databaseOptions = sqflite.OpenDatabaseOptions(
      version: 1,
      onConfigure: (database) async {
        await database.execute('PRAGMA foreign_keys = ON');
      },
      onOpen: (database) async {
        await callback?.onOpen?.call(database);
      },
      onUpgrade: (database, startVersion, endVersion) async {
        await MigrationAdapter.runMigrations(
            database, startVersion, endVersion, migrations);

        await callback?.onUpgrade?.call(database, startVersion, endVersion);
      },
      onCreate: (database, version) async {
        await database.execute(
            'CREATE TABLE IF NOT EXISTS `profile` (`lastLoginInfo` TEXT, `lastVersionCode` INTEGER, PRIMARY KEY (`lastVersionCode`)) WITHOUT ROWID');

        await callback?.onCreate?.call(database, version);
      },
    );
    return sqfliteDatabaseFactory.openDatabase(path, options: databaseOptions);
  }

  @override
  ProfileDao get settingDao {
    return _settingDaoInstance ??= _$ProfileDao(database, changeListener);
  }
}

class _$ProfileDao extends ProfileDao {
  _$ProfileDao(this.database, this.changeListener)
      : _queryAdapter = QueryAdapter(database),
        _profileInsertionAdapter = InsertionAdapter(
            database,
            'profile',
            (Profile item) => <String, dynamic>{
                  'lastLoginInfo': item.lastLoginInfo,
                  'lastVersionCode': item.lastVersionCode
                }),
        _profileUpdateAdapter = UpdateAdapter(
            database,
            'profile',
            ['lastVersionCode'],
            (Profile item) => <String, dynamic>{
                  'lastLoginInfo': item.lastLoginInfo,
                  'lastVersionCode': item.lastVersionCode
                }),
        _profileDeletionAdapter = DeletionAdapter(
            database,
            'profile',
            ['lastVersionCode'],
            (Profile item) => <String, dynamic>{
                  'lastLoginInfo': item.lastLoginInfo,
                  'lastVersionCode': item.lastVersionCode
                });

  final sqflite.DatabaseExecutor database;

  final StreamController<String> changeListener;

  final QueryAdapter _queryAdapter;

  final InsertionAdapter<Profile> _profileInsertionAdapter;

  final UpdateAdapter<Profile> _profileUpdateAdapter;

  final DeletionAdapter<Profile> _profileDeletionAdapter;

  @override
  Future<Profile> findProfile() async {
    return _queryAdapter.query('SELECT * FROM profile',
        mapper: (Map<String, dynamic> row) => Profile(
            row['lastLoginInfo'] as String, row['lastVersionCode'] as int));
  }

  @override
  Future<int> insertProfile(Profile profile) {
    return _profileInsertionAdapter.insertAndReturnId(
        profile, OnConflictStrategy.replace);
  }

  @override
  Future<int> updateProfile(Profile profile) {
    return _profileUpdateAdapter.updateAndReturnChangedRows(
        profile, OnConflictStrategy.abort);
  }

  @override
  Future<int> deleteProfile(Profile profile) {
    return _profileDeletionAdapter.deleteAndReturnChangedRows(profile);
  }
}
