// GENERATED CODE - DO NOT MODIFY BY HAND

part of 'user_database.dart';

// **************************************************************************
// FloorGenerator
// **************************************************************************

class $FloorUserDatabase {
  /// Creates a database builder for a persistent database.
  /// Once a database is built, you should keep a reference to it and re-use it.
  static _$UserDatabaseBuilder databaseBuilder(String name) =>
      _$UserDatabaseBuilder(name);

  /// Creates a database builder for an in memory database.
  /// Information stored in an in memory database disappears when the process is killed.
  /// Once a database is built, you should keep a reference to it and re-use it.
  static _$UserDatabaseBuilder inMemoryDatabaseBuilder() =>
      _$UserDatabaseBuilder(null);
}

class _$UserDatabaseBuilder {
  _$UserDatabaseBuilder(this.name);

  final String name;

  final List<Migration> _migrations = [];

  Callback _callback;

  /// Adds migrations to the builder.
  _$UserDatabaseBuilder addMigrations(List<Migration> migrations) {
    _migrations.addAll(migrations);
    return this;
  }

  /// Adds a database [Callback] to the builder.
  _$UserDatabaseBuilder addCallback(Callback callback) {
    _callback = callback;
    return this;
  }

  /// Creates the database and initializes it.
  Future<UserDatabase> build() async {
    final path = name != null
        ? await sqfliteDatabaseFactory.getDatabasePath(name)
        : ':memory:';
    final database = _$UserDatabase();
    database.database = await database.open(
      path,
      _migrations,
      _callback,
    );
    return database;
  }
}

class _$UserDatabase extends UserDatabase {
  _$UserDatabase([StreamController<String> listener]) {
    changeListener = listener ?? StreamController<String>.broadcast();
  }

  MemberDao _memberDaoInstance;

  AccountDao _accountDaoInstance;

  ChildDao _childDaoInstance;

  DayLogDao _dayLogDaoInstance;

  HasRecordDao _hasRecordDaoInstance;

  HasRecordsTsDao _hasRecordsTsDaoInstance;

  Future<sqflite.Database> open(String path, List<Migration> migrations,
      [Callback callback]) async {
    final databaseOptions = sqflite.OpenDatabaseOptions(
      version: 1,
      onConfigure: (database) async {
        await database.execute('PRAGMA foreign_keys = ON');
      },
      onOpen: (database) async {
        await callback?.onOpen?.call(database);
      },
      onUpgrade: (database, startVersion, endVersion) async {
        await MigrationAdapter.runMigrations(
            database, startVersion, endVersion, migrations);

        await callback?.onUpgrade?.call(database, startVersion, endVersion);
      },
      onCreate: (database, version) async {
        await database.execute(
            'CREATE TABLE IF NOT EXISTS `member` (`id` TEXT, `birthday` INTEGER, `country` TEXT, `backIco` TEXT, `city` TEXT, `level` INTEGER, `signature` TEXT, `dialCode` TEXT, `nickName` TEXT, `sex` INTEGER, `mobile` TEXT, `createAt` INTEGER, `realName` TEXT, `qnIco` TEXT, `ico` TEXT, `province` TEXT, `grade` INTEGER, `imToken` TEXT, `tag` TEXT, PRIMARY KEY (`id`))');
        await database.execute(
            'CREATE TABLE IF NOT EXISTS `account` (`id` TEXT, `registerIp` TEXT, `partnerHeadImgUrl` TEXT, `dialCode` TEXT, `channel` TEXT, `mobile` TEXT, `mainPartnerId` TEXT, `partnerNickName` TEXT, `secondPartnerId` TEXT, `type` INTEGER, `createAt` INTEGER, `loginName` TEXT, `utoken` TEXT, `lastDeviceNo` TEXT, `memberId` TEXT, `partnerSex` INTEGER, `status` INTEGER, PRIMARY KEY (`id`))');
        await database.execute(
            'CREATE TABLE IF NOT EXISTS `child` (`id` TEXT, `birthday` INTEGER, `gestationWeek2` TEXT, `sex` INTEGER, `deliveryType` INTEGER, `gestationWeek1` TEXT, `expectedDate` INTEGER, `prematureDelivery` INTEGER, `createAt` INTEGER, `gestationStatus` INTEGER, `defaultStatus` INTEGER, `babyName` TEXT, `babyIco` TEXT, `editBirthTimes` INTEGER, `fansno` TEXT, `memberId2` TEXT, `babyBackIco` TEXT, `memberId` TEXT, PRIMARY KEY (`id`))');
        await database.execute(
            'CREATE TABLE IF NOT EXISTS `day_log` (`id` INTEGER, `type` INTEGER, `date` TEXT, `status` INTEGER, `localId` INTEGER, `startTime` TEXT, `eventTime` TEXT, `eventEndTime` TEXT, `note` TEXT, `babyId` TEXT, `isBackground` INTEGER, `imgs` TEXT, `datainfo` TEXT, PRIMARY KEY (`id`, `type`))');
        await database.execute(
            'CREATE TABLE IF NOT EXISTS `day_has_record` (`day` TEXT, `has` INTEGER, `type` INTEGER, `key` TEXT, `babyId` TEXT, PRIMARY KEY (`key`))');
        await database.execute(
            'CREATE TABLE IF NOT EXISTS `has_record_ts` (`dgts` INTEGER, `dots` INTEGER, `dpts` INTEGER, `dptsg` INTEGER, `hgts` INTEGER, `hots` INTEGER, `hpts` INTEGER, `hptsg` INTEGER, `babyId` TEXT, PRIMARY KEY (`babyId`))');

        await callback?.onCreate?.call(database, version);
      },
    );
    return sqfliteDatabaseFactory.openDatabase(path, options: databaseOptions);
  }

  @override
  MemberDao get memberDao {
    return _memberDaoInstance ??= _$MemberDao(database, changeListener);
  }

  @override
  AccountDao get accountDao {
    return _accountDaoInstance ??= _$AccountDao(database, changeListener);
  }

  @override
  ChildDao get childDao {
    return _childDaoInstance ??= _$ChildDao(database, changeListener);
  }

  @override
  DayLogDao get dayLogDao {
    return _dayLogDaoInstance ??= _$DayLogDao(database, changeListener);
  }

  @override
  HasRecordDao get hasRecordDao {
    return _hasRecordDaoInstance ??= _$HasRecordDao(database, changeListener);
  }

  @override
  HasRecordsTsDao get hasRecordsTsDao {
    return _hasRecordsTsDaoInstance ??=
        _$HasRecordsTsDao(database, changeListener);
  }
}

class _$MemberDao extends MemberDao {
  _$MemberDao(this.database, this.changeListener)
      : _queryAdapter = QueryAdapter(database),
        _memberInsertionAdapter = InsertionAdapter(
            database,
            'member',
            (Member item) => <String, dynamic>{
                  'id': item.id,
                  'birthday': item.birthday,
                  'country': item.country,
                  'backIco': item.backIco,
                  'city': item.city,
                  'level': item.level,
                  'signature': item.signature,
                  'dialCode': item.dialCode,
                  'nickName': item.nickName,
                  'sex': item.sex,
                  'mobile': item.mobile,
                  'createAt': item.createAt,
                  'realName': item.realName,
                  'qnIco': item.qnIco,
                  'ico': item.ico,
                  'province': item.province,
                  'grade': item.grade,
                  'imToken': item.imToken,
                  'tag': item.tag
                }),
        _memberUpdateAdapter = UpdateAdapter(
            database,
            'member',
            ['id'],
            (Member item) => <String, dynamic>{
                  'id': item.id,
                  'birthday': item.birthday,
                  'country': item.country,
                  'backIco': item.backIco,
                  'city': item.city,
                  'level': item.level,
                  'signature': item.signature,
                  'dialCode': item.dialCode,
                  'nickName': item.nickName,
                  'sex': item.sex,
                  'mobile': item.mobile,
                  'createAt': item.createAt,
                  'realName': item.realName,
                  'qnIco': item.qnIco,
                  'ico': item.ico,
                  'province': item.province,
                  'grade': item.grade,
                  'imToken': item.imToken,
                  'tag': item.tag
                }),
        _memberDeletionAdapter = DeletionAdapter(
            database,
            'member',
            ['id'],
            (Member item) => <String, dynamic>{
                  'id': item.id,
                  'birthday': item.birthday,
                  'country': item.country,
                  'backIco': item.backIco,
                  'city': item.city,
                  'level': item.level,
                  'signature': item.signature,
                  'dialCode': item.dialCode,
                  'nickName': item.nickName,
                  'sex': item.sex,
                  'mobile': item.mobile,
                  'createAt': item.createAt,
                  'realName': item.realName,
                  'qnIco': item.qnIco,
                  'ico': item.ico,
                  'province': item.province,
                  'grade': item.grade,
                  'imToken': item.imToken,
                  'tag': item.tag
                });

  final sqflite.DatabaseExecutor database;

  final StreamController<String> changeListener;

  final QueryAdapter _queryAdapter;

  final InsertionAdapter<Member> _memberInsertionAdapter;

  final UpdateAdapter<Member> _memberUpdateAdapter;

  final DeletionAdapter<Member> _memberDeletionAdapter;

  @override
  Future<List<Member>> findAllMembers() async {
    return _queryAdapter.queryList('SELECT * FROM member',
        mapper: (Map<String, dynamic> row) => Member(
            row['id'] as String,
            row['birthday'] as int,
            row['country'] as String,
            row['backIco'] as String,
            row['city'] as String,
            row['level'] as int,
            row['signature'] as String,
            row['dialCode'] as String,
            row['nickName'] as String,
            row['sex'] as int,
            row['mobile'] as String,
            row['createAt'] as int,
            row['realName'] as String,
            row['qnIco'] as String,
            row['ico'] as String,
            row['province'] as String,
            row['grade'] as int,
            row['imToken'] as String,
            row['tag'] as String));
  }

  @override
  Future<Member> findMemberById(String id) async {
    return _queryAdapter.query('SELECT * FROM member WHERE id = ?',
        arguments: <dynamic>[id],
        mapper: (Map<String, dynamic> row) => Member(
            row['id'] as String,
            row['birthday'] as int,
            row['country'] as String,
            row['backIco'] as String,
            row['city'] as String,
            row['level'] as int,
            row['signature'] as String,
            row['dialCode'] as String,
            row['nickName'] as String,
            row['sex'] as int,
            row['mobile'] as String,
            row['createAt'] as int,
            row['realName'] as String,
            row['qnIco'] as String,
            row['ico'] as String,
            row['province'] as String,
            row['grade'] as int,
            row['imToken'] as String,
            row['tag'] as String));
  }

  @override
  Future<int> insertMember(Member member) {
    return _memberInsertionAdapter.insertAndReturnId(
        member, OnConflictStrategy.replace);
  }

  @override
  Future<int> updateMember(Member member) {
    return _memberUpdateAdapter.updateAndReturnChangedRows(
        member, OnConflictStrategy.abort);
  }

  @override
  Future<int> deleteMember(Member member) {
    return _memberDeletionAdapter.deleteAndReturnChangedRows(member);
  }
}

class _$AccountDao extends AccountDao {
  _$AccountDao(this.database, this.changeListener)
      : _queryAdapter = QueryAdapter(database),
        _accountInsertionAdapter = InsertionAdapter(
            database,
            'account',
            (Account item) => <String, dynamic>{
                  'id': item.id,
                  'registerIp': item.registerIp,
                  'partnerHeadImgUrl': item.partnerHeadImgUrl,
                  'dialCode': item.dialCode,
                  'channel': item.channel,
                  'mobile': item.mobile,
                  'mainPartnerId': item.mainPartnerId,
                  'partnerNickName': item.partnerNickName,
                  'secondPartnerId': item.secondPartnerId,
                  'type': item.type,
                  'createAt': item.createAt,
                  'loginName': item.loginName,
                  'utoken': item.utoken,
                  'lastDeviceNo': item.lastDeviceNo,
                  'memberId': item.memberId,
                  'partnerSex': item.partnerSex,
                  'status': item.status
                }),
        _accountUpdateAdapter = UpdateAdapter(
            database,
            'account',
            ['id'],
            (Account item) => <String, dynamic>{
                  'id': item.id,
                  'registerIp': item.registerIp,
                  'partnerHeadImgUrl': item.partnerHeadImgUrl,
                  'dialCode': item.dialCode,
                  'channel': item.channel,
                  'mobile': item.mobile,
                  'mainPartnerId': item.mainPartnerId,
                  'partnerNickName': item.partnerNickName,
                  'secondPartnerId': item.secondPartnerId,
                  'type': item.type,
                  'createAt': item.createAt,
                  'loginName': item.loginName,
                  'utoken': item.utoken,
                  'lastDeviceNo': item.lastDeviceNo,
                  'memberId': item.memberId,
                  'partnerSex': item.partnerSex,
                  'status': item.status
                }),
        _accountDeletionAdapter = DeletionAdapter(
            database,
            'account',
            ['id'],
            (Account item) => <String, dynamic>{
                  'id': item.id,
                  'registerIp': item.registerIp,
                  'partnerHeadImgUrl': item.partnerHeadImgUrl,
                  'dialCode': item.dialCode,
                  'channel': item.channel,
                  'mobile': item.mobile,
                  'mainPartnerId': item.mainPartnerId,
                  'partnerNickName': item.partnerNickName,
                  'secondPartnerId': item.secondPartnerId,
                  'type': item.type,
                  'createAt': item.createAt,
                  'loginName': item.loginName,
                  'utoken': item.utoken,
                  'lastDeviceNo': item.lastDeviceNo,
                  'memberId': item.memberId,
                  'partnerSex': item.partnerSex,
                  'status': item.status
                });

  final sqflite.DatabaseExecutor database;

  final StreamController<String> changeListener;

  final QueryAdapter _queryAdapter;

  final InsertionAdapter<Account> _accountInsertionAdapter;

  final UpdateAdapter<Account> _accountUpdateAdapter;

  final DeletionAdapter<Account> _accountDeletionAdapter;

  @override
  Future<List<Account>> findAllAccounts() async {
    return _queryAdapter.queryList('SELECT * FROM account',
        mapper: (Map<String, dynamic> row) => Account(
            row['id'] as String,
            row['registerIp'] as String,
            row['partnerHeadImgUrl'] as String,
            row['dialCode'] as String,
            row['channel'] as String,
            row['mobile'] as String,
            row['mainPartnerId'] as String,
            row['partnerNickName'] as String,
            row['secondPartnerId'] as String,
            row['type'] as int,
            row['createAt'] as int,
            row['loginName'] as String,
            row['utoken'] as String,
            row['lastDeviceNo'] as String,
            row['memberId'] as String,
            row['partnerSex'] as int,
            row['status'] as int));
  }

  @override
  Future<Account> findAccountById(String id) async {
    return _queryAdapter.query('SELECT * FROM account WHERE id = ?',
        arguments: <dynamic>[id],
        mapper: (Map<String, dynamic> row) => Account(
            row['id'] as String,
            row['registerIp'] as String,
            row['partnerHeadImgUrl'] as String,
            row['dialCode'] as String,
            row['channel'] as String,
            row['mobile'] as String,
            row['mainPartnerId'] as String,
            row['partnerNickName'] as String,
            row['secondPartnerId'] as String,
            row['type'] as int,
            row['createAt'] as int,
            row['loginName'] as String,
            row['utoken'] as String,
            row['lastDeviceNo'] as String,
            row['memberId'] as String,
            row['partnerSex'] as int,
            row['status'] as int));
  }

  @override
  Future<int> insertAccount(Account account) {
    return _accountInsertionAdapter.insertAndReturnId(
        account, OnConflictStrategy.replace);
  }

  @override
  Future<int> updateAccount(Account account) {
    return _accountUpdateAdapter.updateAndReturnChangedRows(
        account, OnConflictStrategy.abort);
  }

  @override
  Future<int> deleteAccount(Account account) {
    return _accountDeletionAdapter.deleteAndReturnChangedRows(account);
  }
}

class _$ChildDao extends ChildDao {
  _$ChildDao(this.database, this.changeListener)
      : _queryAdapter = QueryAdapter(database),
        _childInsertionAdapter = InsertionAdapter(
            database,
            'child',
            (Child item) => <String, dynamic>{
                  'id': item.id,
                  'birthday': item.birthday,
                  'gestationWeek2': item.gestationWeek2,
                  'sex': item.sex,
                  'deliveryType': item.deliveryType,
                  'gestationWeek1': item.gestationWeek1,
                  'expectedDate': item.expectedDate,
                  'prematureDelivery': item.prematureDelivery,
                  'createAt': item.createAt,
                  'gestationStatus': item.gestationStatus,
                  'defaultStatus': item.defaultStatus,
                  'babyName': item.babyName,
                  'babyIco': item.babyIco,
                  'editBirthTimes': item.editBirthTimes,
                  'fansno': item.fansno,
                  'memberId2': item.memberId2,
                  'babyBackIco': item.babyBackIco,
                  'memberId': item.memberId
                }),
        _childUpdateAdapter = UpdateAdapter(
            database,
            'child',
            ['id'],
            (Child item) => <String, dynamic>{
                  'id': item.id,
                  'birthday': item.birthday,
                  'gestationWeek2': item.gestationWeek2,
                  'sex': item.sex,
                  'deliveryType': item.deliveryType,
                  'gestationWeek1': item.gestationWeek1,
                  'expectedDate': item.expectedDate,
                  'prematureDelivery': item.prematureDelivery,
                  'createAt': item.createAt,
                  'gestationStatus': item.gestationStatus,
                  'defaultStatus': item.defaultStatus,
                  'babyName': item.babyName,
                  'babyIco': item.babyIco,
                  'editBirthTimes': item.editBirthTimes,
                  'fansno': item.fansno,
                  'memberId2': item.memberId2,
                  'babyBackIco': item.babyBackIco,
                  'memberId': item.memberId
                }),
        _childDeletionAdapter = DeletionAdapter(
            database,
            'child',
            ['id'],
            (Child item) => <String, dynamic>{
                  'id': item.id,
                  'birthday': item.birthday,
                  'gestationWeek2': item.gestationWeek2,
                  'sex': item.sex,
                  'deliveryType': item.deliveryType,
                  'gestationWeek1': item.gestationWeek1,
                  'expectedDate': item.expectedDate,
                  'prematureDelivery': item.prematureDelivery,
                  'createAt': item.createAt,
                  'gestationStatus': item.gestationStatus,
                  'defaultStatus': item.defaultStatus,
                  'babyName': item.babyName,
                  'babyIco': item.babyIco,
                  'editBirthTimes': item.editBirthTimes,
                  'fansno': item.fansno,
                  'memberId2': item.memberId2,
                  'babyBackIco': item.babyBackIco,
                  'memberId': item.memberId
                });

  final sqflite.DatabaseExecutor database;

  final StreamController<String> changeListener;

  final QueryAdapter _queryAdapter;

  final InsertionAdapter<Child> _childInsertionAdapter;

  final UpdateAdapter<Child> _childUpdateAdapter;

  final DeletionAdapter<Child> _childDeletionAdapter;

  @override
  Future<List<Child>> findAllChildren() async {
    return _queryAdapter.queryList('SELECT * FROM child',
        mapper: (Map<String, dynamic> row) => Child(
            row['id'] as String,
            row['birthday'] as int,
            row['gestationWeek2'] as String,
            row['sex'] as int,
            row['deliveryType'] as int,
            row['gestationWeek1'] as String,
            row['expectedDate'] as int,
            row['prematureDelivery'] as int,
            row['createAt'] as int,
            row['gestationStatus'] as int,
            row['defaultStatus'] as int,
            row['babyName'] as String,
            row['babyIco'] as String,
            row['editBirthTimes'] as int,
            row['fansno'] as String,
            row['memberId2'] as String,
            row['babyBackIco'] as String,
            row['memberId'] as String));
  }

  @override
  Future<Child> findChildById(String id) async {
    return _queryAdapter.query('SELECT * FROM child WHERE id = ?',
        arguments: <dynamic>[id],
        mapper: (Map<String, dynamic> row) => Child(
            row['id'] as String,
            row['birthday'] as int,
            row['gestationWeek2'] as String,
            row['sex'] as int,
            row['deliveryType'] as int,
            row['gestationWeek1'] as String,
            row['expectedDate'] as int,
            row['prematureDelivery'] as int,
            row['createAt'] as int,
            row['gestationStatus'] as int,
            row['defaultStatus'] as int,
            row['babyName'] as String,
            row['babyIco'] as String,
            row['editBirthTimes'] as int,
            row['fansno'] as String,
            row['memberId2'] as String,
            row['babyBackIco'] as String,
            row['memberId'] as String));
  }

  @override
  Future<int> insertChild(Child child) {
    return _childInsertionAdapter.insertAndReturnId(
        child, OnConflictStrategy.replace);
  }

  @override
  Future<List<int>> insertChildren(List<Child> child) {
    return _childInsertionAdapter.insertListAndReturnIds(
        child, OnConflictStrategy.replace);
  }

  @override
  Future<int> updateChild(Child child) {
    return _childUpdateAdapter.updateAndReturnChangedRows(
        child, OnConflictStrategy.abort);
  }

  @override
  Future<int> deleteChild(Child child) {
    return _childDeletionAdapter.deleteAndReturnChangedRows(child);
  }
}

class _$DayLogDao extends DayLogDao {
  _$DayLogDao(this.database, this.changeListener)
      : _queryAdapter = QueryAdapter(database),
        _dayLogInsertionAdapter = InsertionAdapter(
            database,
            'day_log',
            (DayLog item) => <String, dynamic>{
                  'id': item.id,
                  'type': item.type,
                  'date': item.date,
                  'status': item.status,
                  'localId': item.localId,
                  'startTime': item.startTime,
                  'eventTime': item.eventTime,
                  'eventEndTime': item.eventEndTime,
                  'note': item.note,
                  'babyId': item.babyId,
                  'isBackground': item.isBackground,
                  'imgs': _dayLogImageConverter.encode(item.imgs),
                  'datainfo': _dataInfoConverter.encode(item.datainfo)
                }),
        _dayLogUpdateAdapter = UpdateAdapter(
            database,
            'day_log',
            ['id', 'type'],
            (DayLog item) => <String, dynamic>{
                  'id': item.id,
                  'type': item.type,
                  'date': item.date,
                  'status': item.status,
                  'localId': item.localId,
                  'startTime': item.startTime,
                  'eventTime': item.eventTime,
                  'eventEndTime': item.eventEndTime,
                  'note': item.note,
                  'babyId': item.babyId,
                  'isBackground': item.isBackground,
                  'imgs': _dayLogImageConverter.encode(item.imgs),
                  'datainfo': _dataInfoConverter.encode(item.datainfo)
                }),
        _dayLogDeletionAdapter = DeletionAdapter(
            database,
            'day_log',
            ['id', 'type'],
            (DayLog item) => <String, dynamic>{
                  'id': item.id,
                  'type': item.type,
                  'date': item.date,
                  'status': item.status,
                  'localId': item.localId,
                  'startTime': item.startTime,
                  'eventTime': item.eventTime,
                  'eventEndTime': item.eventEndTime,
                  'note': item.note,
                  'babyId': item.babyId,
                  'isBackground': item.isBackground,
                  'imgs': _dayLogImageConverter.encode(item.imgs),
                  'datainfo': _dataInfoConverter.encode(item.datainfo)
                });

  final sqflite.DatabaseExecutor database;

  final StreamController<String> changeListener;

  final QueryAdapter _queryAdapter;

  final InsertionAdapter<DayLog> _dayLogInsertionAdapter;

  final UpdateAdapter<DayLog> _dayLogUpdateAdapter;

  final DeletionAdapter<DayLog> _dayLogDeletionAdapter;

  @override
  Future<List<DayLog>> findAllDayLog() async {
    return _queryAdapter.queryList('SELECT * FROM day_log',
        mapper: (Map<String, dynamic> row) => DayLog(
            row['id'] as int,
            row['type'] as int,
            row['date'] as String,
            row['status'] as int,
            row['localId'] as int,
            row['startTime'] as String,
            row['eventTime'] as String,
            row['eventEndTime'] as String,
            row['note'] as String,
            row['babyId'] as String,
            row['isBackground'] as int,
            _dayLogImageConverter.decode(row['imgs'] as String),
            _dataInfoConverter.decode(row['datainfo'] as String)));
  }

  @override
  Future<List<DayLog>> findDayLogByDate(String date) async {
    return _queryAdapter.queryList('SELECT * FROM day_log WHERE date = ?',
        arguments: <dynamic>[date],
        mapper: (Map<String, dynamic> row) => DayLog(
            row['id'] as int,
            row['type'] as int,
            row['date'] as String,
            row['status'] as int,
            row['localId'] as int,
            row['startTime'] as String,
            row['eventTime'] as String,
            row['eventEndTime'] as String,
            row['note'] as String,
            row['babyId'] as String,
            row['isBackground'] as int,
            _dayLogImageConverter.decode(row['imgs'] as String),
            _dataInfoConverter.decode(row['datainfo'] as String)));
  }

  @override
  Future<List<DayLog>> findDayLogByDateSection(String start, String end) async {
    return _queryAdapter.queryList(
        'SELECT * FROM day_log WHERE date >= ? AND date <= ?',
        arguments: <dynamic>[start, end],
        mapper: (Map<String, dynamic> row) => DayLog(
            row['id'] as int,
            row['type'] as int,
            row['date'] as String,
            row['status'] as int,
            row['localId'] as int,
            row['startTime'] as String,
            row['eventTime'] as String,
            row['eventEndTime'] as String,
            row['note'] as String,
            row['babyId'] as String,
            row['isBackground'] as int,
            _dayLogImageConverter.decode(row['imgs'] as String),
            _dataInfoConverter.decode(row['datainfo'] as String)));
  }

  @override
  Future<DayLog> findDayLogById(String id) async {
    return _queryAdapter.query('SELECT * FROM day_log WHERE id = ?',
        arguments: <dynamic>[id],
        mapper: (Map<String, dynamic> row) => DayLog(
            row['id'] as int,
            row['type'] as int,
            row['date'] as String,
            row['status'] as int,
            row['localId'] as int,
            row['startTime'] as String,
            row['eventTime'] as String,
            row['eventEndTime'] as String,
            row['note'] as String,
            row['babyId'] as String,
            row['isBackground'] as int,
            _dayLogImageConverter.decode(row['imgs'] as String),
            _dataInfoConverter.decode(row['datainfo'] as String)));
  }

  @override
  Future<int> insertDayLog(DayLog dayLog) {
    return _dayLogInsertionAdapter.insertAndReturnId(
        dayLog, OnConflictStrategy.replace);
  }

  @override
  Future<List<int>> insertDayLogs(List<DayLog> list) {
    return _dayLogInsertionAdapter.insertListAndReturnIds(
        list, OnConflictStrategy.replace);
  }

  @override
  Future<int> updateDayLog(DayLog dayLog) {
    return _dayLogUpdateAdapter.updateAndReturnChangedRows(
        dayLog, OnConflictStrategy.abort);
  }

  @override
  Future<int> deleteDayLog(DayLog dayLog) {
    return _dayLogDeletionAdapter.deleteAndReturnChangedRows(dayLog);
  }
}

class _$HasRecordDao extends HasRecordDao {
  _$HasRecordDao(this.database, this.changeListener)
      : _queryAdapter = QueryAdapter(database),
        _hasRecordInsertionAdapter = InsertionAdapter(
            database,
            'day_has_record',
            (HasRecord item) => <String, dynamic>{
                  'day': item.day,
                  'has': item.has,
                  'type': item.type,
                  'key': item.key,
                  'babyId': item.babyId
                }),
        _hasRecordUpdateAdapter = UpdateAdapter(
            database,
            'day_has_record',
            ['key'],
            (HasRecord item) => <String, dynamic>{
                  'day': item.day,
                  'has': item.has,
                  'type': item.type,
                  'key': item.key,
                  'babyId': item.babyId
                }),
        _hasRecordDeletionAdapter = DeletionAdapter(
            database,
            'day_has_record',
            ['key'],
            (HasRecord item) => <String, dynamic>{
                  'day': item.day,
                  'has': item.has,
                  'type': item.type,
                  'key': item.key,
                  'babyId': item.babyId
                });

  final sqflite.DatabaseExecutor database;

  final StreamController<String> changeListener;

  final QueryAdapter _queryAdapter;

  final InsertionAdapter<HasRecord> _hasRecordInsertionAdapter;

  final UpdateAdapter<HasRecord> _hasRecordUpdateAdapter;

  final DeletionAdapter<HasRecord> _hasRecordDeletionAdapter;

  @override
  Future<List<HasRecord>> findAllHasRecord() async {
    return _queryAdapter.queryList('SELECT * FROM day_has_record',
        mapper: (Map<String, dynamic> row) => HasRecord(
            row['day'] as String,
            row['has'] as int,
            row['type'] as int,
            row['key'] as String,
            row['babyId'] as String));
  }

  @override
  Future<List<HasRecord>> findHasRecordById(String babyId) async {
    return _queryAdapter.queryList(
        'SELECT * FROM day_has_record WHERE babyId = ?',
        arguments: <dynamic>[babyId],
        mapper: (Map<String, dynamic> row) => HasRecord(
            row['day'] as String,
            row['has'] as int,
            row['type'] as int,
            row['key'] as String,
            row['babyId'] as String));
  }

  @override
  Future<int> insertHasRecord(HasRecord hasRecord) {
    return _hasRecordInsertionAdapter.insertAndReturnId(
        hasRecord, OnConflictStrategy.replace);
  }

  @override
  Future<List<int>> insertHasRecords(List<HasRecord> list) {
    return _hasRecordInsertionAdapter.insertListAndReturnIds(
        list, OnConflictStrategy.replace);
  }

  @override
  Future<int> updateHasRecord(HasRecord hasRecord) {
    return _hasRecordUpdateAdapter.updateAndReturnChangedRows(
        hasRecord, OnConflictStrategy.abort);
  }

  @override
  Future<int> deleteHasRecord(HasRecord hasRecord) {
    return _hasRecordDeletionAdapter.deleteAndReturnChangedRows(hasRecord);
  }
}

class _$HasRecordsTsDao extends HasRecordsTsDao {
  _$HasRecordsTsDao(this.database, this.changeListener)
      : _queryAdapter = QueryAdapter(database),
        _hasRecordsTsInsertionAdapter = InsertionAdapter(
            database,
            'has_record_ts',
            (HasRecordsTs item) => <String, dynamic>{
                  'dgts': item.dgts,
                  'dots': item.dots,
                  'dpts': item.dpts,
                  'dptsg': item.dptsg,
                  'hgts': item.hgts,
                  'hots': item.hots,
                  'hpts': item.hpts,
                  'hptsg': item.hptsg,
                  'babyId': item.babyId
                }),
        _hasRecordsTsUpdateAdapter = UpdateAdapter(
            database,
            'has_record_ts',
            ['babyId'],
            (HasRecordsTs item) => <String, dynamic>{
                  'dgts': item.dgts,
                  'dots': item.dots,
                  'dpts': item.dpts,
                  'dptsg': item.dptsg,
                  'hgts': item.hgts,
                  'hots': item.hots,
                  'hpts': item.hpts,
                  'hptsg': item.hptsg,
                  'babyId': item.babyId
                }),
        _hasRecordsTsDeletionAdapter = DeletionAdapter(
            database,
            'has_record_ts',
            ['babyId'],
            (HasRecordsTs item) => <String, dynamic>{
                  'dgts': item.dgts,
                  'dots': item.dots,
                  'dpts': item.dpts,
                  'dptsg': item.dptsg,
                  'hgts': item.hgts,
                  'hots': item.hots,
                  'hpts': item.hpts,
                  'hptsg': item.hptsg,
                  'babyId': item.babyId
                });

  final sqflite.DatabaseExecutor database;

  final StreamController<String> changeListener;

  final QueryAdapter _queryAdapter;

  final InsertionAdapter<HasRecordsTs> _hasRecordsTsInsertionAdapter;

  final UpdateAdapter<HasRecordsTs> _hasRecordsTsUpdateAdapter;

  final DeletionAdapter<HasRecordsTs> _hasRecordsTsDeletionAdapter;

  @override
  Future<HasRecordsTs> findHasRecordTsByBabyId(String babyId) async {
    return _queryAdapter.query('SELECT * FROM has_record_ts WHERE babyId = ?',
        arguments: <dynamic>[babyId],
        mapper: (Map<String, dynamic> row) => HasRecordsTs(
            row['dgts'] as int,
            row['dots'] as int,
            row['dpts'] as int,
            row['dptsg'] as int,
            row['hgts'] as int,
            row['hots'] as int,
            row['hpts'] as int,
            row['hptsg'] as int,
            row['babyId'] as String));
  }

  @override
  Future<int> insertHasRecordTs(HasRecordsTs hasRecordTs) {
    return _hasRecordsTsInsertionAdapter.insertAndReturnId(
        hasRecordTs, OnConflictStrategy.replace);
  }

  @override
  Future<int> updateHasRecordTs(HasRecordsTs hasRecordTs) {
    return _hasRecordsTsUpdateAdapter.updateAndReturnChangedRows(
        hasRecordTs, OnConflictStrategy.abort);
  }

  @override
  Future<int> deleteHasRecordTs(HasRecordsTs hasRecordTs) {
    return _hasRecordsTsDeletionAdapter.deleteAndReturnChangedRows(hasRecordTs);
  }
}

// ignore_for_file: unused_element
final _dayLogImageConverter = DayLogImageConverter();
final _dataInfoConverter = DataInfoConverter();
